Skip to main content
POST
/
api
/
apps
/
{id}
/
restart
Restart an app's service.
curl --request POST \
  --url https://api.rigbox.dev/api/apps/{id}/restart \
  --header 'Authorization: Bearer <token>'
{
  "app": {
    "allowed_emails": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "node_id": "<string>",
    "port": 1,
    "status": "active",
    "subdomain": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "visibility": "private",
    "workspace_id": "<string>",
    "description": "<string>",
    "managed": true,
    "metadata": "<unknown>",
    "protocol": "<string>",
    "system_tags": [
      "<string>"
    ]
  },
  "message": "<string>",
  "service_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

App ID

Response

200 - application/json

Service restarted

app
object
required
message
string
required
service_name
string
required